Show / Hide Table of Contents

# AsyncDropTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncDropTrigger : AsyncTriggerBase<PointerEventData>, IUniTaskAsyncEnumerable<PointerEventData>, IDropHandler

##### Inheritance

System.Object → AsyncTriggerBase<PointerEventData> → AsyncDropTrigger

##### Implements

IUniTaskAsyncEnumerable<PointerEventData>
IDropHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnDropAsyncHandler() |
GetOnDropAsyncHandler(CancellationToken) |
OnDropAsync() |
OnDropAsync(CancellationToken) |

### Methods

#### GetOnDropAsyncHandler()

    public IAsyncOnDropHandler GetOnDropAsyncHandler()

##### Returns

IAsyncOnDropHandler

#### GetOnDropAsyncHandler(CancellationToken)

    public IAsyncOnDropHandler GetOnDropAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnDropHandler

#### OnDropAsync()

    public UniTask<PointerEventData> OnDropAsync()

##### Returns

UniTask<PointerEventData>

#### OnDropAsync(CancellationToken)

    public UniTask<PointerEventData> OnDropAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<PointerEventData>

### Implements

IUniTaskAsyncEnumerable<T>
IDropHandler